GNU bug report logs - #39590
25.2; Inconsistent color-values return values

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: В.Санников <vsannikov20@HIDDEN>; Keywords: fixed; Done: Noam Postavsky <npostavs@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 39590 <at> debbugs.gnu.org and В.Санников <vsannikov20@HIDDEN> Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 26.3. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39590 <at> debbugs.gnu.org:


Received: (at 39590) by debbugs.gnu.org; 26 Feb 2020 12:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 26 07:53:47 2020
Received: from localhost ([127.0.0.1]:56568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6wCB-0008L4-Iv
	for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 07:53:47 -0500
Received: from mail-qk1-f180.google.com ([209.85.222.180]:36068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1j6wC9-0008Kh-SJ; Wed, 26 Feb 2020 07:53:46 -0500
Received: by mail-qk1-f180.google.com with SMTP id f3so2490010qkh.3;
 Wed, 26 Feb 2020 04:53:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=/Uuzqz6h+kRdt7xXN5kegm0CAHGVi6YAz6Lk0H89hcQ=;
 b=gkB7wUFyxoMnDz2o4iNSyoT9d+Tx9ipJfgoZ1HFOTaiAdPf5aS0CKVzhf3oHs9ukdi
 Wn7ez/K6k5SQcUufB16yAlP2UWcLXdlXncP4sxzj1su3NDcjYqT2HoTLbTjo48/6GU+t
 yiGqg8u2HyDBMtvE8YZDplzUFONvtMERMBR/H55a6CnmwoEw5ye0v77XoWas6SVzZunS
 30VfWMfxGLkRZRpVUiHZCJ8xU3u6ce9ODUYb65Lnig1kBVdySGFu7M8kWowgIK86BE97
 ZgKssrO+ZBPXqX5qS6zOEdAxsxuFw2c82ljidgHtd13+e/eAJK8xR3sloJ4rvfkCKH+G
 H4Mg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=/Uuzqz6h+kRdt7xXN5kegm0CAHGVi6YAz6Lk0H89hcQ=;
 b=qzwJ8a3Zu/6wGiSk7jTYVGbraVNuNQIhQ3XNSHVLU8R6dfIva7f9QVulkTAbZDKgiQ
 ADt5AuHpKbU8ESyfvHqM0C1NMOkVaJapf9VVmsWbW247zIOG9LSN6VaOkJKsj0xVxoH1
 eAfSvaZG4O6RlM0X2FK89eALawdEIcV7htVGyeq5/XDSQibek4aNq66T0BFpD8EIQ+Nf
 u0BVHlbX7l6QFxSqIGNtjttW8t3/PAOgiY2eL3FUyXFwDpsSrCid8MZQJTylTclRt36Z
 50oZquS5XlCEvq4dbyIVpe5CIt8i1wVV2mPhy7Ig1a1lWrvexWhMXH8PBgpocSWC/Wsl
 oMaA==
X-Gm-Message-State: APjAAAUtyCndG6UU0krHvaHLls9Sa6ln7Msj3TM40wPs+z6zAkSReO+P
 TSIA1gN+m3oUDi03sDyWzoGkCH8ff74=
X-Google-Smtp-Source: APXvYqyFYbFr3DKE7nHswG7CE/6ELrqVYe9ZOn6IyBsJdeVpiGyiXBilMYLFmyRb9oHC2DC7D8QXIA==
X-Received: by 2002:a37:67c2:: with SMTP id b185mr5349013qkc.292.1582721619693; 
 Wed, 26 Feb 2020 04:53:39 -0800 (PST)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 z21sm1031201qka.122.2020.02.26.04.53.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 26 Feb 2020 04:53:38 -0800 (PST)
From: Noam Postavsky <npostavs@HIDDEN>
To: =?utf-8?B?0JIu0KHQsNC90L3QuNC60L7Qsg==?= <vsannikov20@HIDDEN>
Subject: Re: bug#39590: 25.2; Inconsistent color-values return values
References: <60971a50-14e2-1326-8fd1-8473ad536a60@HIDDEN>
Date: Wed, 26 Feb 2020 07:53:38 -0500
In-Reply-To: <60971a50-14e2-1326-8fd1-8473ad536a60@HIDDEN>
 (=?utf-8?B?ItCSLtCh0LDQvdC90LjQutC+0LIiJ3M=?=
 message of "Thu, 13 Feb 2020 16:43:00 +0300")
Message-ID: <87sgixa4rx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39590
Cc: 39590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

found 39590 26.3
tags 39590 fixed
close 39590 27.1
quit

=D0=92.=D0=A1=D0=B0=D0=BD=D0=BD=D0=B8=D0=BA=D0=BE=D0=B2 <vsannikov20@yandex=
.ru> writes:

>     (color-values "#ffffff")
>
> returns "(65280 65280 65280)"

This happens in 26.3 as well.

>     (color-name-to-rgb "white")
>
> returns "(1.00390625 1.00390625 1.00390625)"

Although this one does not (I get (1.0 1.0 1.0) there).  Both cases are
fixed in emacs-27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39590; Package emacs. Full text available.

Message received at 39590 <at> debbugs.gnu.org:


Received: (at 39590) by debbugs.gnu.org; 13 Feb 2020 15:46:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 10:46:25 2020
Received: from localhost ([127.0.0.1]:60369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2Gh7-00009a-6f
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 10:46:25 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j2Gh5-00009M-V4
 for 39590 <at> debbugs.gnu.org; Thu, 13 Feb 2020 10:46:24 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57199)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j2Gh0-0000zB-Cz; Thu, 13 Feb 2020 10:46:18 -0500
Received: from [176.228.60.248] (port=3111 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j2Ggy-0007n6-JQ; Thu, 13 Feb 2020 10:46:17 -0500
Date: Thu, 13 Feb 2020 17:46:18 +0200
Message-Id: <838sl6qylx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?0JIu0KHQsNC90L3QuNC60L7Qsg==?= <vsannikov20@HIDDEN>
In-reply-to: <60971a50-14e2-1326-8fd1-8473ad536a60@HIDDEN>
 (vsannikov20@HIDDEN)
Subject: Re: bug#39590: 25.2; Inconsistent color-values return values
References: <60971a50-14e2-1326-8fd1-8473ad536a60@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39590
Cc: 39590 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: В.Санников
>  <vsannikov20@HIDDEN>
> Date: Thu, 13 Feb 2020 16:43:00 +0300
> 
>      (color-values "white")
> 
> returns "(65535 65535 65535)" while
> 
>      (color-values "#ffffff")
> 
> returns "(65280 65280 65280)" which is very surprising, confused and
> inconsistent for me. Moreover, this leads to
> 
>      (color-name-to-rgb "white")
> 
> returns "(1.00390625 1.00390625 1.00390625)" which is looks wrong
> because color components must be in [0; 1]

This was changed for Emacs 27, which I think behaves as you want.
Please try the latest emacs-27 branch of the Emacs Git repository.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39590; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2020 14:35:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 09:35:15 2020
Received: from localhost ([127.0.0.1]:59476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2FaD-0006fz-Mc
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 09:35:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:57320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vsannikov20@HIDDEN>) id 1j2Em9-0005Rm-QR
 for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 08:43:30 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:49970)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <vsannikov20@HIDDEN>) id 1j2Em7-0006F7-Sb
 for bug-gnu-emacs@HIDDEN; Thu, 13 Feb 2020 08:43:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,SPOOFED_FREEMAIL,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vsannikov20@HIDDEN>) id 1j2Em5-0007z7-BC
 for bug-gnu-emacs@HIDDEN; Thu, 13 Feb 2020 08:43:26 -0500
Received: from ntcmks.ru ([83.221.222.22]:33704 helo=mail.ntcmks.ru)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vsannikov20@HIDDEN>) id 1j2Em4-0007yA-Je
 for bug-gnu-emacs@HIDDEN; Thu, 13 Feb 2020 08:43:25 -0500
Received: from [172.18.3.93] (veshp.ntcmks.ru [172.18.3.93])
 by mail.ntcmks.ru (Postfix) with ESMTPSA id 0E35A2314C
 for <bug-gnu-emacs@HIDDEN>; Thu, 13 Feb 2020 16:43:20 +0300 (MSK)
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; Inconsistent color-values return values
From: =?UTF-8?B?0JIu0KHQsNC90L3QuNC60L7Qsg==?= <vsannikov20@HIDDEN>
Message-ID: <60971a50-14e2-1326-8fd1-8473ad536a60@HIDDEN>
Date: Thu, 13 Feb 2020 16:43:00 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: ru-RU
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 83.221.222.22
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  (color-values "white") returns "(65535 65535 65535)" while
 (color-values "#ffffff") 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (vsannikov20[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (vsannikov20[at]yandex.ru)
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 13 Feb 2020 09:35:12 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)



     (color-values "white")

returns "(65535 65535 65535)" while

     (color-values "#ffffff")

returns "(65280 65280 65280)" which is very surprising, confused and
inconsistent for me. Moreover, this leads to

     (color-name-to-rgb "white")

returns "(1.00390625 1.00390625 1.00390625)" which is looks wrong
because color components must be in [0; 1]



In GNU Emacs 25.2.2 (x86_64-pc-linux-gnu, GTK+ Version 3.22.21)
  of 2017-09-22, modified by Debian built on lgw01-amd64-050
Windowing system distributor 'The X.Org Foundation', version 11.0.1200500=
0
System Description:	Ubuntu 18.04.4 LTS

Configured using:
  'configure --build x86_64-linux-gnu --prefix=3D/usr
  --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
  --localstatedir=3D/var/lib --infodir=3D/usr/share/info
  --mandir=3D/usr/share/man --with-pop=3Dyes
=20
--enable-locallisppath=3D/etc/emacs25:/etc/emacs:/usr/local/share/emacs/2=
5.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site=
-lisp:/usr/share/emacs/site-lisp
  --with-sound=3Dalsa --without-gconf --build x86_64-linux-gnu
  --prefix=3D/usr --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
  --localstatedir=3D/var/lib --infodir=3D/usr/share/info
  --mandir=3D/usr/share/man --with-pop=3Dyes
=20
--enable-locallisppath=3D/etc/emacs25:/etc/emacs:/usr/local/share/emacs/2=
5.2/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/25.2/site=
-lisp:/usr/share/emacs/site-lisp
  --with-sound=3Dalsa --without-gconf --with-x=3Dyes --with-x-toolkit=3Dg=
tk3
  --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
  -fdebug-prefix-map=3D/build/emacs25-jYekUr/emacs25-25.2+1=3D.=20
-fstack-protector-strong
  -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
  -D_FORTIFY_SOURCE=3D2' 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro=
''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
   value of $LC_MONETARY: ru_RU.UTF-8
   value of $LC_NUMERIC: ru_RU.UTF-8
   value of $LC_TIME: ru_RU.UTF-8
   value of $LANG: ru_RU.UTF-8
   value of $XMODIFIERS: @im=3Dibus
   locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
   recentf-mode: t
   global-magit-file-mode: t
   magit-auto-revert-mode: t
   global-git-commit-mode: t
   diff-auto-refine-mode: t
   async-bytecomp-package-mode: t
   savehist-mode: t
   display-time-mode: t
   global-auto-revert-mode: t
   shell-dirtrack-mode: t
   evil-mode: t
   evil-local-mode: t
   global-company-mode: t
   global-undo-tree-mode: t
   undo-tree-mode: t
   projectile-mode: t
   helm-mode: t
   workgroups-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent messages:
Quit
previous-line: Beginning of buffer

uncompressing faces.el.gz...done
Note: file is write protected
C-h C-g is undefined

read--expression: Command attempted to use minibuffer while in minibuffer
evil-backward-char: Beginning of line
End of line

Load-path shadows:
/usr/share/emacs25/site-lisp/cmake-data/cmake-mode hides=20
/usr/share/emacs/site-lisp/cmake-mode
/usr/share/emacs/25.2/site-lisp/debian-startup hides=20
/usr/share/emacs/site-lisp/debian-startup
/home/ves/.emacs.d/elpa/seq-2.20/seq hides=20
/usr/share/emacs/25.2/lisp/emacs-lisp/seq
/home/ves/.emacs.d/elpa/let-alist-1.0.5/let-alist hides=20
/usr/share/emacs/25.2/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug sendmail quail debug cus-edit cus-start
cus-load eieio-opt speedbar sb-image ezimage dframe image-file tramp
tramp-compat tramp-loaddefs trampver ucs-normalize ffap bug-reference
misearch multi-isearch recentf tree-widget wid-edit helm-x-files
helm-for-files helm-bookmark helm-adaptive magit-bookmark bookmark pp
helm-external helm-net browse-url xml url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source url-vars mailcap winner helm-command helm-elisp
helm-eval edebug helm-info dired-aux dired-hide-dotfiles company-ispell
org-element org-rmail org-mhe org-irc org-info org-gnus org-docview
doc-view jka-compr image-mode org-bibtex bibtex org-bbdb org-w3m org
org-macro org-footnote org-pcomplete org-list org-faces org-entities
noutline outline org-version ob-emacs-lisp ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-src ob-keys ob-comint ob-core ob-eval org-compat
org-macs org-loaddefs find-func cal-menu calendar cal-loaddefs hideshow
cc-styles cc-align cc-engine cc-vars cc-defs evil-magit magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
epa magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
magit-core magit-autorevert magit-margin magit-transient magit-process
magit-mode derived transient git-commit magit-git magit-section
benchmark magit-utils which-func imenu vc-git diff-mode ido crm log-edit
message dired rfc822 mml mml-sec password-cache epg gnus-util mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util help-fns mail-prsvr mailabbrev mail-utils gmm-utils mailheader
pcvs-util add-log with-editor async-bytecomp server subr-x savehist time
grep-a-lot autorevert filenotify evil evil-keybindings evil-integration
evil-maps evil-commands reveal flyspell ispell evil-jumps
evil-command-window evil-types evil-search evil-ex shell pcomplete
evil-macros evil-repeat evil-states evil-core evil-common rect
evil-digraphs evil-vars company-oddmuse company-keywords company-etags
company-gtags company-dabbrev-code company-dabbrev company-files
company-capf company-cmake company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
company elisp-format helm-etags-plus etags xref project
smart-mode-line-respectful-theme smart-mode-line rich-minority
solarized-light-theme solarized solarized-faces solarized-palettes color
highlight-parentheses goto-chg undo-tree diff jumplist buffer-move
windmove projectile grep compile comint ansi-color ibuf-ext ibuffer
thingatpt helm-mode helm-files helm-buffers helm-occur helm-tags
helm-locate helm-grep helm-regexp format-spec helm-utils helm-help
helm-types helm easy-mmode helm-source eieio-compat eieio eieio-core
helm-multi-match helm-lib async workgroups2 advice cl-seq cl-macs
edmacro kmacro anaphora ring f dash s finder-inf tex-site info package
epg-config seq byte-opt gv bytecomp byte-compile cl-extra help-mode
easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util cyril-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 1024038 198976)
  (symbols 48 68161 0)
  (miscs 40 2122 463)
  (strings 32 226401 5541)
  (string-bytes 1 6174022)
  (vectors 16 90340)
  (vector-slots 8 1945204 174528)
  (floats 8 1157 276)
  (intervals 56 7471 3780)
  (buffers 976 88))

--=20
=D0=92=D1=8F=D1=87=D0=B5=D1=81=D0=BB=D0=B0=D0=B2 =D0=A1=D0=B0=D0=BD=D0=BD=
=D0=B8=D0=BA=D0=BE=D0=B2
=D0=B8=D0=BD=D0=B6=D0=B5=D0=BD=D0=B5=D1=80-=D0=BF=D1=80=D0=BE=D0=B3=D1=80=
=D0=B0=D0=BC=D0=BC=D0=B8=D1=81=D1=82
=D0=9B=D0=9F=D0=9E =D0=9D=D0=A2=D0=A6 =D0=9C=D0=9A=D0=A1
=D0=9A=D0=BE=D0=BD=D1=86=D0=B5=D1=80=D0=BD "=D0=90=D0=B2=D1=82=D0=BE=D0=BC=
=D0=B0=D1=82=D0=B8=D0=BA=D0=B0"




Acknowledgement sent to В.Санников <vsannikov20@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39590; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 26 Feb 2020 13:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.